#pragma once
#include <string>

namespace spin
{
    class IBridgeConnector
    {
    public:
        virtual ~IBridgeConnector() = default;
        virtual void connectTo(const std::string &host) const = 0;
        virtual void disconnect() const = 0;
    };
} // namespace spin
